%define name 	gds
%define version 2.16.4
%define release 1
%define daswg   /usr
%define prefix  %{daswg}

Name: 		%{name}
Summary: 	GDS 2.16.4
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		LIGO Global Diagnotic Systems
Source: 	%{name}-%{version}.tar.gz
Packager: 	John Zweizig (john.zweizig@ligo.org)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://www.lsc-group.phys.uwm.edu/daswg/projects/dmt.html
BuildRequires: 	gcc, gcc-c++, glibc, automake, autoconf, libtool, m4, make, gzip, curl, zlib, bzip2, expat-devel, libXpm-devel, ldas-tools, root
AutoReqProv: 	no
Provides: 	%name
Obsoletes:	%name < %version
Prefix:		%prefix

%description
Global diagnostics software

%package core
Summary: 	GDS package Core libraries
Version: 	%{version}
Group: 		LSC Software/Data Analysis

%description core
Core libraries required by the rest of the GDS packages

%package crtools
Summary: 	Core shared objects
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-core = %{version}-%{release}

%description crtools
GDS control room tools

%package devel
Summary: 	GDS development files.
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-core = %{version}-%{release}

%description devel
GDS software development files.

%package services
Summary: 	GDS services
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-core = %{version}-%{release}

%description services
GDS runtime services

%package monitors
Summary: 	DMT Monitor programs
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-core = %{version}-%{release}

%description monitors
GDS DMT monitor programs

%if 1
%package pygds
Summary: 	Python wrapper for gds classes
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-core = %{version}-%{release}

%description pygds
Python wrappers of some of the most useful GDS classes.
%endif

%if 0
%package runtime
Summary: 	DMT run-time software
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-monitors = %{version}-%{release}

%description runtime
DMT run-time supervisor and services
%endif

%package web
Summary: 	DMT web services
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       %{name}-core = %{version}-%{release}

%description web
DMT web services

%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/%{_lib}/pkgconfig
ROOTSYS=/usr

export PKG_CONFIG_PATH ROOTSYS
./configure  --prefix=%prefix --libdir=%{prefix}/%{_lib} \
	     --includedir=%{prefix}/include/%{name} \
	     --enable-online --enable-dtt --enable-python
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files core
%defattr(-,root,root)
%prefix/bin/fdir
%prefix/bin/fextract
%prefix/bin/finfo
%prefix/bin/framecmp
%prefix/bin/framedump
%prefix/bin/FrameDump
%prefix/bin/Frame_Log
%prefix/bin/framelink
%prefix/bin/frcompress
%prefix/bin/FrDir
%prefix/bin/FrTest
%prefix/bin/fsettime
%prefix/bin/MergeTrends
%prefix/bin/NDS2Frame
%prefix/bin/prchans
%prefix/bin/prdata
%prefix/bin/prnames
%prefix/bin/prndsvsn
%prefix/bin/seg_calc
%prefix/bin/SimList
%prefix/bin/smcreate
%prefix/bin/smdump
%prefix/bin/smkill
%prefix/bin/smlatency
%prefix/bin/smlist
%prefix/bin/smraw
%prefix/bin/smrepair
%prefix/bin/smspew
%prefix/bin/smstat
%prefix/bin/tablepgm
%prefix/bin/trendtable
%prefix/bin/when
%prefix/%{_lib}/libaudio.so*
%prefix/%{_lib}/libcalcengn.so*
%prefix/%{_lib}/libdaqs.so*
%prefix/%{_lib}/libdmtsigp.so*
%prefix/%{_lib}/libframefast.so*
%prefix/%{_lib}/libframeio.so*
%prefix/%{_lib}/libframeutil.so*
%prefix/%{_lib}/libgdsbase.so*
%prefix/%{_lib}/libgdscntr.so*
%prefix/%{_lib}/libgdstrig.so*
%prefix/%{_lib}/libhtml.so*
%prefix/%{_lib}/liblmsg.so*
%prefix/%{_lib}/liblsmp.so*
%prefix/%{_lib}/liblxr.so*
%prefix/%{_lib}/libparsl.so*
%prefix/%{_lib}/libsockutil.so*
%prefix/%{_lib}/libweb.so*
%prefix/%{_lib}/libxsil.so*
%prefix/etc/gds-user-env.csh
%prefix/etc/gds-user-env.sh
%prefix/share/gds/*
%prefix/share/gds/.rootrc

%files crtools
%defattr(-,root,root)
%prefix/bin/awggui
%prefix/bin/chndump
%prefix/bin/CY.robot
%prefix/bin/diag
%prefix/bin/diagd
%prefix/bin/diaggui
%prefix/bin/dmtviewer
%prefix/bin/fantom
%prefix/bin/foton
%prefix/bin/gdserrd
%prefix/bin/lidax
%prefix/bin/tpcmd
%prefix/bin/udnls
%prefix/bin/xmlconv
%prefix/bin/xmldata
%prefix/bin/xmldir
%prefix/%{_lib}/libawg.so*
%prefix/%{_lib}/libclient.so*
%prefix/%{_lib}/libgdsalgo.so*
%prefix/%{_lib}/libdfmgui.so*
%prefix/%{_lib}/libdfm.so*
%prefix/%{_lib}/libdmtaccess.so*
%prefix/%{_lib}/libdmtview.so*
%prefix/%{_lib}/libdtt.so*
%prefix/%{_lib}/libdttview.so*
%prefix/%{_lib}/libfantom.so*
%prefix/%{_lib}/libgdsplot.so*
%prefix/%{_lib}/liblidax.so*
%prefix/%{_lib}/libligogui.so*
%prefix/%{_lib}/libmondmtsrvr.so*
%prefix/%{_lib}/libmonlmsg.so*
%prefix/%{_lib}/libtestpoint.so*
%prefix/share/man/*
%prefix/startup/*

%files devel
%defattr(-,root,root)
%prefix/include/*
%prefix/%{_lib}/pkgconfig/*
%prefix/%{_lib}/*.a
%prefix/%{_lib}/*.la

%files services
%prefix/bin/Alarm
%prefix/bin/AlarmCtrl
%prefix/bin/AlarmMgr
%prefix/bin/DpushM
%prefix/bin/DpushRT
%prefix/bin/lsmp_xmit
%prefix/bin/NameCtrl
%prefix/bin/NameServer
%prefix/bin/TrigMgr
%prefix/bin/trigRmNode
%prefix/bin/TrigRndm
%prefix/%{_lib}/libserver.so*
%prefix/%{_lib}/libframexmit.so*

%files monitors
%defattr(-,root,root)
%prefix/bin/BicoMon
%prefix/bin/BicoViewer
%prefix/bin/BitTest
%prefix/bin/blrms_monitor
%prefix/bin/burstMon
%prefix/bin/callineMon
%prefix/bin/CheckDataValid
%prefix/bin/Cumulus
%prefix/bin/DEnvCorr
%prefix/bin/dewarMon
%prefix/bin/DMTGen
%prefix/bin/dmt_wscan
%prefix/bin/dmt_wsearch
%prefix/bin/dmt_wstream
%prefix/bin/DuoTone
%prefix/bin/dvTest
%prefix/bin/earthquake_alarm
%prefix/bin/eqMon
%prefix/bin/FrWrite
%prefix/bin/GainMon
%prefix/bin/hMon
%prefix/bin/hoftMon
%prefix/bin/glitchMon
%prefix/bin/HistCompr
%prefix/bin/InspiralMon
%prefix/bin/InspiralRange
%prefix/bin/IRIG-B
%prefix/bin/kleineWelleM
%prefix/bin/LIGOLwMon
%prefix/bin/LightMon
%prefix/bin/LineMonitor
%prefix/bin/LockLoss
%prefix/bin/mkcalibfile
%prefix/bin/MatchTrig
%prefix/bin/MultiVolt
%prefix/bin/NoiseFloorMonitor
%prefix/bin/NormTest
%prefix/bin/OmegaMon
%prefix/bin/PhotonCal
%prefix/bin/PlaneMon
%prefix/bin/PSLmon
%prefix/bin/PulsarMon
%prefix/bin/RayleighMonitor
%prefix/bin/runDuoToneM.csh
%prefix/bin/SegGener
%prefix/bin/SenseMonitor
%prefix/bin/ShapeMon
%prefix/bin/SixtyHertzMon
%prefix/bin/SpectrumArchiver
%prefix/bin/SpectrumFold
%prefix/bin/Station
%prefix/bin/StochMon
%prefix/bin/StrainbandsMon
%prefix/bin/StrainWatch
%prefix/bin/suspensionMon
%prefix/bin/TimeMon
%prefix/bin/TrigDsply
%prefix/bin/TrigSpec
%prefix/bin/WaveMon
%prefix/%{_lib}/libezcalib.so*
%prefix/%{_lib}/libgdsevent.so*
%prefix/%{_lib}/libgenerator.so*
%prefix/%{_lib}/liblscemul.so*
%prefix/%{_lib}/libmonitor.so*
%prefix/%{_lib}/libosc.so*
%prefix/%{_lib}/libtclient.so*
%prefix/%{_lib}/libwpipe.so*

%if 1
%files pygds
%python_sitelib/gds/*
%python_sitearch/gds/*
%endif

%if 0
%defattr(-,root,root)
%files runtime
%defattr(-,root,root)
%prefix/bin/addpath
%prefix/bin/addpathb
%prefix/bin/AlarmOnHTML
%prefix/bin/confCompare
%prefix/bin/cpName
%prefix/bin/dmtsetup.csh
%prefix/bin/dmtsetup.sh
%prefix/bin/dmtstatus
%prefix/bin/envars.*
%prefix/bin/findProc
%prefix/bin/fwStatus
%prefix/bin/GraphIt
%prefix/bin/makeIndex
%prefix/bin/MonTrend
%prefix/bin/mkTrendDirs
%prefix/bin/NameBackup
%prefix/bin/no_insert
%prefix/bin/procmgt
%prefix/bin/procntrl
%prefix/bin/procsetup
%prefix/bin/prune.pl
%prefix/bin/PSD_PlotMaker
%prefix/bin/rempath
%prefix/bin/rempathb
%prefix/bin/root-setup
%prefix/bin/SegData
%prefix/bin/SegDirectory
%prefix/bin/SegEpics
%prefix/bin/SPI.pl
%prefix/bin/SPI.tcsh
%prefix/bin/TrendAvg
%prefix/bin/USAGE.tcsh
%prefix/bin/waitProc
%prefix/bin/WatchDawg
%prefix/bin/WEEDER.tcsh
%prefix/etc/*
%endif

%files web
%defattr(-,root,root)
%prefix/bin/webview
%prefix/bin/webxmledit
